Name: makemkv
Version: 1.18.1
Release: 1
License: Proprietary
Summary: A tool for converting DVD/Blu-Ray formats to MKV
URL: makemkv.com

Provides: makemkv = %version
Provides: makemkvcon = %version

Requires: makemkv-oss
Requires: makemkv-bin

BuildRequires: gcc
BuildRequires: g++

%if %{defined dist} && ("%{dist}" == ".el9" || "%{dist}" == ".el10")
BuildRequires: zlib-devel
%else
BuildRequires: zlib-ng-compat-devel
%endif
BuildRequires: openssl-devel
BuildRequires: expat-devel
BuildRequires: libavcodec-free-devel
BuildRequires: qt5-qtbase-devel

Source0: https://www.makemkv.com/download/makemkv-oss-%version.tar.gz
Source1: https://www.makemkv.com/download/makemkv-bin-%version.tar.gz

%global debug_package %{nil}

%package oss
Summary: OpenSource bits for MakeMKV

%description oss
Source code bits

%package bin
Summary: Proprietary bits for MakeMKV

%description bin
Precompiled bits

%description
MakeMKV is your one-click solution to convert video that you own into free and patents-unencumbered format that can be played everywhere. MakeMKV is a format converter, otherwise called "transcoder". It converts the video clips from proprietary (and usually encrypted) disc into a set of MKV files, preserving most information but not changing it in any way. The MKV format can store multiple video/audio tracks with all meta-information and preserve chapters. There are many players that can play MKV files nearly on all platforms, and there are tools to convert MKV files to many formats, including DVD and Blu-ray discs.

%prep
%autosetup -n makemkv-oss-%version
mkdir -p %{_builddir}/makemkv-oss-%version
tar -xf %{SOURCE1} -C %{_builddir}/makemkv-oss-%version

%if %{defined dist} && ("%{dist}" != ".el9")
%conf
%endif
%configure

%build
%make_build

%install
%make_install
find %{buildroot} -type f | sed -e 's\%{buildroot}\\g' > filelist.txt
mkdir -p makemkv-bin-%version/tmp
echo "accepted" > makemkv-bin-%version/tmp/eula_accepted
%make_install -C makemkv-bin-%version

%files oss -f filelist.txt

%files bin
/usr/bin/makemkvcon
/usr/bin/sdftool
/usr/share/MakeMKV/appdata.tar
/usr/share/MakeMKV/blues.jar
/usr/share/MakeMKV/blues.policy

%files

%changelog
* Fri May 30 2025 Keith Valin <keith+makemkv@mailtux.net> - 1.18.1-1
- Update to latest makemkv version

* Thu Nov 28 2024 Keith Valin <keith+makemkv@mailtux.net> - 1.17.8-1
- Initial workings
